GET /api/v3/widget/monthlysavingstrend/{specificWidgetId} Deprecated

Returns data for the monthly savings trend widget

MonthlyCAPTrendV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId integer (int32) Required

Query Parameters

Name Description Type Required
filter string (string) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MonthlyCAPTrend
Property Description Type
actualCost The actual cost number (double)
avoidedCost The avoided cost number (double)
billingPeriod The billing period integer (int32)
capCost The cap cost number (double)
fiscalPeriod The fiscal period integer (int32)
percentCost The percent cost number (double)
Example Response application/json
[
  {    "actualCost": 1.0,    "avoidedCost": 1.0,    "billingPeriod": 1,    "capCost": 1.0,    "fiscalPeriod": 1,    "percentCost": 1.0
  }
]